Subject: RE: b20: BUG sh configure makes a mess (win98)
From: [email-masked] (Peter A. Vogel)

7 Nov 1998 13:19:01 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>, <[email-masked]>

Yep, I see the same problem, replacing sh.exe with b19 sh.exe (but
using cygwin1.dll as cygwinb19.dll) does not fix the problem, but
using the real cygwinb19.dll does work.  I can only conclude the bug
is in the dll.

Interestingly, if you use bash.exe as sh.exe, the error happens a little
bit earlier.

-Peter

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of creative1
> Sent: Tuesday, November 03, 1998 5:59 AM
> To: [email-masked]
> Subject: b20: BUG sh configure makes a mess (win98)
> 
> 
> Hi there!
> 
> I am trying to compile several programs and i arrived to the conclusion
> that configure
> doesn't work properly on b20.
> 
> I ALWAYS get a mess, and the resulting config.h is full of #undef when
> it shouldn't.
> I have check several things and most of the 'if test' doesn't work as
> they should.
> the grep program should return 1 or 0 and sometimes it doesn't return
> anything on the configure,
> which make it think there is not such thing.
> 
> After several assignation on the configure, it seems that it does not
> assign any more, things like...
> whatever = `echo blalbla`
> in a bucle, works for 20 times, and then after several times in the
> loop, it stop working and
> whatever gets = nothing.
> 
> the last one... trying to compile ircu2.10.04
> it just stay for 20 minutes in setup.h  doing nothing so i have to
> control C
> 
> creating setup.h
> 
> [main] J:\BIN\SH.EXE 2468 (0) sync_with_child: child -3860423(0x334)
> died before
>  initialization with status code 0xFFFFFFFF
> [main] SH 2468 (0) sync_with_child: *** child state waiting for longjmp
> ./config.status: Cannot fork
> 
> Joaquin Grech
> 
> ---------------------------------------------------------------
> !     C r e a t i v i t y     M u s t    S u r v i v e        !
> ---------------------------------------------------------------
> !  Fido: 2:341/19.67                 Euronet: 25:928/100.67   !
> !  Internet: [email-masked]                            !
> !  Http://surf.to/creative                  Ya me direis :)   !
> ---------------------------------------------------------------
> 
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".